module.exports = {
  type: 'react-app',

  babel: {
    loose: false,
    presets: [
      'babel-preset-env',
    ],
    plugins: [
      'babel-plugin-transform-class-properties',
    ],
  },

  webpack: {
    autoprefixer: '> 1%, last 2 versions, Firefox ESR, ios >= 8',

    extra: {
      resolve: {
        extensions: [
          '.jsx',
        ],
      },
    },

    publicPath: '',

    rules: {
      babel: {
        test: /\.jsx?/,
      },
      'sass-css': {
        modules: true,
        localIdentName: '[name]__[local]__[hash:base64:5]',
      },
    },
  },
};
